> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/projects/{projectId}/areas/reorder
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/areas/reorder:
    put:
      tags:
        - Project Areas
      summary: Reorder
      operationId: ProjectAreasController_reorder_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderProjectAreasDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ReorderProjectAreasDto:
      type: object
      properties:
        version:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        parentId:
          anyOf:
            - type: string
            - type: 'null'
        areaIds:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
      required:
        - version
        - parentId
        - areaIds
      additionalProperties: false
    ProjectAreaMutationResponseDto:
      type: object
      properties:
        version:
          type: number
        affectedAreaId:
          type: string
          nullable: true
      required:
        - version
        - affectedAreaId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````